commit 322365915a5d2e22c47033f0574d4ba906e9ac5c
Merge: 3eed53e 512cb36
Author: Simon McVittie <smcv@debian.org>
Date:   2018-01-29 09:06:07 +0000

    Merge commit '512cb36200c7d6006fe947336801e9fdc22df4b4'

commit 512cb36200c7d6006fe947336801e9fdc22df4b4
Author: Simon McVittie <smcv@debian.org>
Date:   2018-01-29 09:05:37 +0000

    Distribute ancillary files for dbus-gmain

    Signed-off-by: Simon McVittie <smcv@debian.org>

 Makefile.am | 7 +++++++
 1 file changed, 7 insertions(+)

commit 3eed53e543136d0a92feccf6d49288f006b636bf
Merge: bb1e093 d354239
Author: Simon McVittie <smcv@debian.org>
Date:   2018-01-29 08:54:25 +0000

    Add 'dbus-gmain/' from commit
    'd354239ff42d972e6fe1448aae2db52e1af90aa7'

    git-subtree-dir: dbus-gmain
    git-subtree-mainline: bb1e093d0905fedeea658ac74cd9cc5de9f85710
    git-subtree-split: d354239ff42d972e6fe1448aae2db52e1af90aa7

commit d354239ff42d972e6fe1448aae2db52e1af90aa7
Author: Simon McVittie <smcv@debian.org>
Date:   2018-01-29 08:49:48 +0000

    Move dbus-gmain to root directory

    Signed-off-by: Simon McVittie <smcv@debian.org>

 dbus-gmain/.gitignore => .gitignore              | 0
 dbus-gmain/AUTHORS => AUTHORS                    | 0
 dbus-gmain/CONTRIBUTING => CONTRIBUTING          | 0
 dbus-gmain/COPYING => COPYING                    | 0
 dbus-gmain/Makefile.am => Makefile.am            | 0
 dbus-gmain/README => README                      | 0
 dbus-gmain/dbus-gmain.c => dbus-gmain.c          | 0
 dbus-gmain/dbus-gmain.h => dbus-gmain.h          | 0
 {dbus-gmain/tests => tests}/30574.c              | 0
 {dbus-gmain/tests => tests}/test-thread-client.c | 0
 {dbus-gmain/tests => tests}/test-thread-server.c | 0
 {dbus-gmain/tests => tests}/test-thread.h        | 0
 {dbus-gmain/tests => tests}/util.c               | 0
 {dbus-gmain/tests => tests}/util.h               | 0
 14 files changed, 0 insertions(+), 0 deletions(-)

commit bb1e093d0905fedeea658ac74cd9cc5de9f85710
Author: Simon McVittie <smcv@debian.org>
Date:   2018-01-29 08:52:16 +0000

    Remove dbus-gmain subdirectory

    Signed-off-by: Simon McVittie <smcv@debian.org>

 dbus-gmain/.gitignore                 |  16 -
 dbus-gmain/AUTHORS                    |  15 -
 dbus-gmain/CONTRIBUTING               |  25 --
 dbus-gmain/COPYING                    | 548 ----------------------------
 dbus-gmain/Makefile.am                |  73 ----
 dbus-gmain/README                     |  15 -
 dbus-gmain/dbus-gmain.c               | 663
 ----------------------------------
 dbus-gmain/dbus-gmain.h               |  58 ---
 dbus-gmain/tests/30574.c              | 139 -------
 dbus-gmain/tests/test-thread-client.c | 121 -------
 dbus-gmain/tests/test-thread-server.c | 233 ------------
 dbus-gmain/tests/test-thread.h        |   1 -
 dbus-gmain/tests/util.c               |  46 ---
 dbus-gmain/tests/util.h               |  32 --
 14 files changed, 1985 deletions(-)

commit c80ae773e1cc50b6acde492b1b6f83f49f6e53c8
Author: Simon McVittie <smcv@debian.org>
Date:   2018-01-29 08:48:58 +0000

    Remove everything except dbus-gmain subdirectory

    Signed-off-by: Simon McVittie <smcv@debian.org>

 .gitignore                                         |  234 --
 AUTHORS                                            |   23 -
 Android.mk                                         |   34 -
 COPYING                                            |  550 ----
 HACKING                                            |   72 -
 INSTALL                                            |  220 --
 Makefile.am                                        |   56 -
 NEWS                                               |  615 ----
 README                                             |    6 -
 autogen.sh                                         |  177 -
 configure.ac                                       |  353 --
 dbus-bus-introspect.xml                            |   77 -
 dbus-glib-1-uninstalled.pc.in                      |   12 -
 dbus-glib-1.pc.in                                  |   13 -
 dbus/.cvsignore                                    |   13 -
 dbus/Makefile.am                                   |  146 -
 dbus/dbus-bash-completion-helper.c                 |  507 ---
 dbus/dbus-bash-completion.sh.in                    |   21 -
 dbus/dbus-binding-tool-glib.c                      | 1701 ----------
 dbus/dbus-binding-tool-glib.h                      |   40 -
 dbus/dbus-gidl.c                                   |  780 -----
 dbus/dbus-gidl.h                                   |  154 -
 dbus/dbus-glib-lowlevel.h                          |   65 -
 dbus/dbus-glib-tool.c                              |  478 ---
 dbus/dbus-glib-tool.h                              |   38 -
 dbus/dbus-glib.c                                   |  639 ----
 dbus/dbus-glib.h                                   |  346 --
 dbus/dbus-gloader-expat.c                          |  268 --
 dbus/dbus-gmarshal.c                               |   92 -
 dbus/dbus-gmarshal.h                               |   21 -
 dbus/dbus-gmarshal.list                            |    1 -
 dbus/dbus-gobject.c                                | 3406
 --------------------
 dbus/dbus-gobject.h                                |   37 -
 dbus/dbus-gparser.c                                |  931 ------
 dbus/dbus-gparser.h                                |   65 -
 dbus/dbus-gproxy.c                                 | 3275
 -------------------
 dbus/dbus-gsignature.c                             |  219 --
 dbus/dbus-gsignature.h                             |   19 -
 dbus/dbus-gtest-main.c                             |   51 -
 dbus/dbus-gtest.c                                  |   76 -
 dbus/dbus-gtest.h                                  |   34 -
 dbus/dbus-gthread.c                                |   53 -
 dbus/dbus-gtool-test.h                             |   31 -
 dbus/dbus-gtype-specialized-priv.h                 |   48 -
 dbus/dbus-gtype-specialized.c                      | 1845 -----------
 dbus/dbus-gtype-specialized.h                      |  178 -
 dbus/dbus-gutils.c                                 |  109 -
 dbus/dbus-gutils.h                                 |   53 -
 dbus/dbus-gvalue-parse-variant.c                   |  549 ----
 dbus/dbus-gvalue-parse-variant.h                   |   39 -
 dbus/dbus-gvalue-utils.c                           | 1370 --------
 dbus/dbus-gvalue-utils.h                           |   73 -
 dbus/dbus-gvalue.c                                 | 2099 ------------
 dbus/dbus-gvalue.h                                 |   44 -
 dbus/examples/.cvsignore                           |   17 -
 dbus/examples/Makefile.am                          |   44 -
 dbus/examples/example-client.c                     |  123 -
 dbus/examples/example-service.c                    |  155 -
 dbus/examples/example-service.xml                  |   19 -
 dbus/examples/example-signal-emitter.c             |  134 -
 dbus/examples/example-signal-emitter.xml           |   13 -
 dbus/examples/example-signal-recipient.c           |  104 -
 dbus/examples/statemachine/.cvsignore              |   16 -
 dbus/examples/statemachine/Makefile.am             |   46 -
 dbus/examples/statemachine/sm-marshal.list         |    1 -
 dbus/examples/statemachine/statemachine-client.c   |  664 ----
 dbus/examples/statemachine/statemachine-server.c   |  232 --
 dbus/examples/statemachine/statemachine-server.h   |   37 -
 dbus/examples/statemachine/statemachine-server.xml |   14 -
 dbus/examples/statemachine/statemachine.c          |  355 --
 dbus/examples/statemachine/statemachine.h          |   77 -
 dbus/examples/statemachine/statemachine.xml        |   33 -
 doc/Makefile.am                                    |    5 -
 doc/dbus-binding-tool.1                            |  294 --
 doc/reference/Makefile.am                          |  123 -
 doc/reference/dbus-binding-tool.xml                |   62 -
 doc/reference/dbus-glib-docs.sgml                  |   68 -
 doc/reference/dbus-glib-overrides.txt              |    0
 doc/reference/dbus-glib-sections.txt               |  201 --
 doc/reference/dbus-glib.types                      |    0
 doc/reference/version.xml.in                       |    1 -
 m4/Makefile.am                                     |    1 -
 m4/gtk-doc.m4                                      |    1 -
 test/Makefile.am                                   |   58 -
 test/core/Makefile.am                              |  177 -
 test/core/error-mapping.c                          |  308 --
 test/core/manual/invalid-usage.c                   |  320 --
 test/core/my-object-marshal.list                   |    2 -
 test/core/my-object-subclass.c                     |  115 -
 test/core/my-object-subclass.h                     |   33 -
 test/core/my-object.c                              |  869 -----
 test/core/my-object.h                              |  127 -
 test/core/peer-client.c                            |  140 -
 test/core/peer-on-bus.c                            |  148 -
 test/core/peer-server.c                            |   59 -
 test/core/private.c                                |  268 --
 test/core/proxy-noc.c                              |  264 --
 test/core/proxy-peer.c                             |  274 --
 test/core/registrations.c                          |  445 ---
 test/core/run-peer-test.sh                         |    6 -
 test/core/run-test.sh                              |   55 -
 test/core/shared-bus.c                             |  135 -
 test/core/test-dbus-glib.c                         | 2415 --------------
 test/core/test-gvariant.c                          |  956 ------
 test/core/test-profile.c                           | 1146 -------
 test/core/test-service-glib-subclass.xml           |    8 -
 test/core/test-service-glib.c                      |  112 -
 test/core/test-service-glib.xml                    |  210 --
 test/core/test-types.c                             |   52 -
 test/core/test-variant-recursion.c                 |  109 -
 test/data/nested-introspect.xml                    |   10 -
 .../data/valid-service-files/debug-echo.service.in |    3 -
 .../data/valid-service-files/debug-glib.service.in |    3 -
 .../valid-service-files/interfaces-test.service.in |    3 -
 test/errors.c                                      |   78 -
 test/interfaces/.gitignore                         |    4 -
 test/interfaces/Makefile.am                        |  136 -
 test/interfaces/invalid-annotated-node.xml         |    8 -
 test/interfaces/invalid-nested-annotation.xml      |    8 -
 test/interfaces/run-test.sh                        |   39 -
 test/interfaces/test-client.c                      |  290 --
 test/interfaces/test-dup-prop-a.xml                |    6 -
 test/interfaces/test-dup-prop-b.xml                |    6 -
 test/interfaces/test-dup-prop.c                    |  192 --
 test/interfaces/test-dup-prop.h                    |   60 -
 test/interfaces/test-goodbye.xml                   |    9 -
 test/interfaces/test-hello.xml                     |   10 -
 test/interfaces/test-interfaces.c                  |  126 -
 test/interfaces/test-interfaces.h                  |   48 -
 test/interfaces/test-objects.c                     |   75 -
 test/interfaces/test-objects.h                     |   31 -
 test/interfaces/test-server.c                      |   68 -
 test/interfaces/test-song.xml                      |    9 -
 test/interfaces/valid-annotations.xml              |   27 -
 test/specialized-types.c                           |  489 ---
 test/test-compile-nested.sh                        |    5 -
 test/test-service.c                                |  375 ---
 tools/Makefile.am                                  |   22 -
 tools/dbus-glib-tests.supp                         |   64 -
 tools/dbus-glib.supp                               |  297 --
 tools/lcov.am                                      |   47 -
 tools/run-with-tmp-session-bus.sh                  |   51 -
 tools/session.conf                                 |   24 -
 143 files changed, 36630 deletions(-)

commit 232cae5253382d8d8f7678dbda1ee37424904cab
Author: Simon McVittie <smcv@debian.org>
Date:   2018-01-29 08:47:56 +0000

    dbus-gmain: Add CONTRIBUTING file

    Signed-off-by: Simon McVittie <smcv@debian.org>

 dbus-gmain/CONTRIBUTING | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

commit 399f1454f1aaad4627c2cac28f1ef78d62d007ca
Author: Simon McVittie <smcv@debian.org>
Date:   2018-01-29 08:38:33 +0000

    dbus-gmain: Allow swapping the namespace used

    Signed-off-by: Simon McVittie <smcv@debian.org>

 configure.ac                          |  5 +++++
 dbus-gmain/dbus-gmain.c               | 12 ++++++------
 dbus-gmain/dbus-gmain.h               | 26 +++++++++++++++++++-------
 dbus-gmain/tests/30574.c              | 13 +++++++------
 dbus-gmain/tests/test-thread-client.c |  2 +-
 dbus-gmain/tests/test-thread-server.c |  4 ++--
 dbus/dbus-glib.c                      |  4 ++--
 7 files changed, 42 insertions(+), 24 deletions(-)

commit 906508155ff27c76d1d85a7a1f68ab69f6161508
Author: Simon McVittie <smcv@debian.org>
Date:   2018-01-29 08:18:37 +0000

    dbus-gmain: Add a .gitignore

    This makes it a bit more self-contained.

    Signed-off-by: Simon McVittie <smcv@debian.org>

 dbus-gmain/.gitignore | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit fd8dc56eb1948759d4fea8854dddfb1749436ba0
Author: Simon McVittie <smcv@debian.org>
Date:   2018-01-22 18:14:58 +0000

    dbus-gmain: Add more copyright and authorship information

    Signed-off-by: Simon McVittie <smcv@debian.org>

 dbus-gmain/AUTHORS                    |  15 +
 dbus-gmain/COPYING                    | 548
 ++++++++++++++++++++++++++++++++++
 dbus-gmain/tests/30574.c              |  22 ++
 dbus-gmain/tests/test-thread-client.c |  22 ++
 dbus-gmain/tests/test-thread-server.c |  22 ++
 dbus-gmain/tests/util.c               |   2 +-
 dbus-gmain/tests/util.h               |   2 +-
 7 files changed, 631 insertions(+), 2 deletions(-)

commit 13a000d6c1876bc429057c8a665809353e9cbe4b
Author: Simon McVittie <smcv@debian.org>
Date:   2018-01-22 18:14:41 +0000

    dbus-gmain: Don't include config.h unless HAVE_CONFIG_H is defined

    This should make it a little easier to integrate into more build
    systems.

    Signed-off-by: Simon McVittie <smcv@debian.org>

 dbus-gmain/dbus-gmain.c               | 2 ++
 dbus-gmain/tests/30574.c              | 2 ++
 dbus-gmain/tests/test-thread-client.c | 2 ++
 dbus-gmain/tests/test-thread-server.c | 2 ++
 dbus-gmain/tests/util.c               | 2 ++
 5 files changed, 10 insertions(+)

commit fa04927d0c6cd804e4db70b0d393b3086065f7d0
Author: Simon McVittie <smcv@debian.org>
Date:   2018-01-22 17:53:02 +0000

    dbus-gmain: Add a README

    Signed-off-by: Simon McVittie <smcv@debian.org>

 dbus-gmain/README | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit c20597919cd35b513e7a8eb2fa59cb0cec900606
Author: Simon McVittie <smcv@debian.org>
Date:   2018-01-22 17:52:55 +0000

    Move tests for dbus-gmain to dbus-gmain/tests/

    Use dbus-run-session to run the only one that can be used as an
    automated test right now.

    Signed-off-by: Simon McVittie <smcv@debian.org>

 configure.ac                                       |  5 +-
 dbus-gmain/Makefile.am                             | 59
 +++++++++++++++++++++-
 {test/core => dbus-gmain/tests}/30574.c            |  2 +-
 .../core => dbus-gmain/tests}/test-thread-client.c |  0
 .../core => dbus-gmain/tests}/test-thread-server.c |  0
 {test/core => dbus-gmain/tests}/test-thread.h      |  0
 {test/lib => dbus-gmain/tests}/util.c              |  0
 {test/lib => dbus-gmain/tests}/util.h              |  0
 test/Makefile.am                                   |  4 +-
 test/core/Makefile.am                              | 38 +-------------
 test/core/peer-on-bus.c                            |  2 +-
 test/core/registrations.c                          |  2 +-
 test/core/run-test.sh                              |  1 -
 test/core/test-dbus-glib.c                         |  2 +-
 test/core/test-variant-recursion.c                 |  2 +-
 test/interfaces/Makefile.am                        |  2 +-
 test/interfaces/test-client.c                      |  2 +-
 test/lib/Makefile.am                               | 19 -------
 18 files changed, 73 insertions(+), 67 deletions(-)

commit 449f30a089ce848883fcf2b6aaac742f87aad704
Author: Simon McVittie <smcv@debian.org>
Date:   2018-01-22 17:20:10 +0000

    dbus-gmain: Move to its own directory

    Signed-off-by: Simon McVittie <smcv@debian.org>

 Makefile.am                       |  4 ++--
 configure.ac                      |  1 +
 dbus-gmain/Makefile.am            | 16 ++++++++++++++++
 {dbus => dbus-gmain}/dbus-gmain.c |  3 ++-
 {dbus => dbus-gmain}/dbus-gmain.h |  0
 dbus/Makefile.am                  | 19 ++++++-------------
 dbus/dbus-glib.c                  |  2 +-
 test/core/30574.c                 |  2 +-
 test/core/Makefile.am             |  6 +++---
 test/core/test-thread-client.c    |  2 +-
 test/core/test-thread-server.c    |  2 +-
 11 files changed, 34 insertions(+), 23 deletions(-)

commit be85eb31951c81dcbd2f6168798856a171e883e9
Author: Simon McVittie <smcv@debian.org>
Date:   2018-01-22 17:16:02 +0000

    dbus-gmain.c: Remove trailing whitespace

    Signed-off-by: Simon McVittie <smcv@debian.org>

 dbus/dbus-gmain.c | 80
 +++++++++++++++++++++++++++----------------------------
 1 file changed, 40 insertions(+), 40 deletions(-)

commit c6583de2500c14a979248c37942f515aa264656e
Author: Simon McVittie <smcv@debian.org>
Date:   2018-01-22 17:11:26 +0000

    Remove obsolete --with-test-socket-dir option

    Signed-off-by: Simon McVittie <smcv@debian.org>

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit f30dd014fae061bf5572c8977b5ebdcb6ce9a7b9
Author: Simon McVittie <smcv@debian.org>
Date:   2018-01-22 17:10:45 +0000

    Remove remnants of --with-introspect-xml option

    Signed-off-by: Simon McVittie <smcv@debian.org>

 configure.ac | 4 ----
 1 file changed, 4 deletions(-)

commit b031d671abde479facccd9da2e08e33922c9fc74
Author: Simon McVittie <smcv@debian.org>
Date:   2018-01-22 16:53:50 +0000

    Build libdbus-gmain into a separate convenience library

    Signed-off-by: Simon McVittie <smcv@debian.org>

 dbus/Makefile.am      | 11 ++++++++++-
 test/core/Makefile.am | 20 ++++++++++++++++++++
 2 files changed, 30 insertions(+), 1 deletion(-)

commit b6f7c810cf97914b6b90836f3d59ea256f318bcb
Author: Simon McVittie <smcv@debian.org>
Date:   2018-01-22 16:47:21 +0000

    Make dbus-gmain.h internal, and rename its symbols

    If we embed dbus-gmain in dbus-glib, dbus-python, at-spi2-core and
    others as a submodule or subtree, we won't want it to export the
    same ABI in all of them.

    Signed-off-by: Simon McVittie <smcv@debian.org>

 dbus/Makefile.am               |  2 +-
 dbus/dbus-glib-lowlevel.h      |  6 +++++-
 dbus/dbus-glib.c               | 48
 ++++++++++++++++++++++++++++++++++++++++++
 dbus/dbus-gmain.c              | 16 ++++++--------
 dbus/dbus-gmain.h              | 13 +++++++-----
 test/core/30574.c              | 10 ++++-----
 test/core/test-thread-client.c |  2 +-
 test/core/test-thread-server.c |  4 ++--
 8 files changed, 76 insertions(+), 25 deletions(-)

commit 892d30196cbad5449c42b08f4d5496b2ffcdb562
Author: Simon McVittie <smcv@debian.org>
Date:   2018-01-22 16:47:43 +0000

    dbus-gmain.c: Screen-scrape copyright notices from git history

    Signed-off-by: Simon McVittie <smcv@debian.org>

 dbus/dbus-gmain.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 3e464736320d7b191e4ee1b88a6bad94c2d716e6
Author: Simon McVittie <smcv@debian.org>
Date:   2017-11-01 16:23:13 +0000

    Convert a few tests to only use dbus-gmain

    Signed-off-by: Simon McVittie <smcv@debian.org>

 test/core/30574.c              | 2 +-
 test/core/test-thread-client.c | 4 +---
 test/core/test-thread-server.c | 4 +---
 3 files changed, 3 insertions(+), 7 deletions(-)

commit 290ec72b76bc91355a54ba562565959a50ed29a9
Author: Simon McVittie <smcv@debian.org>
Date:   2017-11-01 16:22:44 +0000

    test_run_until_disconnected: Convert to pure libdbus

    This will let us do a few tests with just dbus-gmain.

    Signed-off-by: Simon McVittie <smcv@debian.org>

 test/core/30574.c                  |  3 +--
 test/core/peer-on-bus.c            |  6 +++---
 test/core/registrations.c          |  4 ++--
 test/core/test-dbus-glib.c         |  5 +++--
 test/core/test-variant-recursion.c |  3 ++-
 test/interfaces/test-client.c      |  2 +-
 test/lib/util.c                    | 33 ++++-----------------------------
 test/lib/util.h                    |  6 +++---
 8 files changed, 19 insertions(+), 43 deletions(-)

commit 93f9fe7b9c009e89ca9a0c32e07176fb8ab9839d
Author: Simon McVittie <smcv@debian.org>
Date:   2017-11-01 15:48:27 +0000

    Move dbus_g_connection_open() etc. from dbus-gmain.c to dbus-glib.c

    This will facilitate conversion of dbus-gmain.[ch], which are the only
    part of GDBus that is not awful, into a separate library or a
    submodule or something.

    Signed-off-by: Simon McVittie <smcv@debian.org>

 dbus/dbus-glib.c  | 182
 +++++++++++++++++++++++++++++++++++++++++++++++++++-
 dbus/dbus-gmain.c | 187
 +-----------------------------------------------------
 2 files changed, 181 insertions(+), 188 deletions(-)

commit b433ea03e9523faf8e0479062e368cb01727b745
Author: Simon McVittie <smcv@debian.org>
Date:   2017-11-01 15:47:02 +0000

    dbus-gmain: Add a separate header for the main-loop integration

    Signed-off-by: Simon McVittie <smcv@debian.org>

 dbus/Makefile.am          |  4 +++-
 dbus/dbus-glib-lowlevel.h |  6 +-----
 dbus/dbus-gmain.h         | 43
 +++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 47 insertions(+), 6 deletions(-)

commit 65b40d2d380109a3713035c22e37c8ee323cd566
Author: Simon McVittie <smcv@debian.org>
Date:   2017-11-01 16:04:36 +0000

    autogen.sh: Cope with the Python rewrite of gtk-doc

    gtkdoc-scan 1.26 prints its version to stderr instead of stdout.

    Signed-off-by: Simon McVittie <smcv@debian.org>

 autogen.sh | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 2a80d2dcf394e3934679df92349318fa4d671f0f
Author: Simon McVittie <smcv@debian.org>
Date:   2016-09-09 10:16:56 +0100

    Start 0.110 development

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 5b9b8b7f651765b55838ec11939e2beb139d0638
Author: Simon McVittie <smcv@debian.org>
Date:   2016-09-09 08:46:23 +0100

    0.108

    Signed-off-by: Simon McVittie <smcv@debian.org>

 NEWS         | 4 +++-
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 2f0b80dc54da20244d32d7d60662e44e28ccef4c
Author: Simon McVittie <smcv@debian.org>
Date:   2016-08-28 15:13:10 +0100

    Update NEWS

 NEWS | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 0e641b27a1e6ea7063a338e00a3de6ed38e3b1d9
Author: Simon McVittie <smcv@debian.org>
Date:   2016-08-28 15:12:16 +0100

    run-with-tmp-session-bus.sh: use dbus-run-session

    Signed-off-by: Simon McVittie <smcv@debian.org>

 tools/run-with-tmp-session-bus.sh | 24 +++---------------------
 1 file changed, 3 insertions(+), 21 deletions(-)

commit 97234e4e95b181747b8f0e7b415c565f4bef6fee
Author: Simon McVittie <smcv@debian.org>
Date:   2016-01-14 09:37:12 +0000

    0.107

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 838b05c7fac3f6cbebb303ad55507172010c7139
Author: Simon McVittie <smcv@debian.org>
Date:   2016-01-14 08:44:12 +0000

    0.106

 NEWS         | 12 +++++++++++-
 configure.ac |  4 ++--
 2 files changed, 13 insertions(+), 3 deletions(-)

commit c4f335cbddf29f271896f491bbb7949ac0680ff5
Author: Simon McVittie <smcv@debian.org>
Date:   2016-01-14 08:38:50 +0000

    manual test: move to test/core

    The strange use of source from a sibling directory seems to be
    breaking
    distcheck:

    Making distclean in manual
    make[3]: Entering directory
    '/.../dbus-glib-0.105/_build/sub/test/manual'
    Makefile:409: ../core/.deps/my-object.Po: No such file or directory
    make[3]: *** No rule to make target '../core/.deps/my-object.Po'.
    Stop.

 configure.ac                           |  1 -
 test/Makefile.am                       |  4 ++--
 test/core/Makefile.am                  |  9 +++++++++
 test/{ => core}/manual/invalid-usage.c |  0
 test/manual/Makefile.am                | 30
 ------------------------------
 5 files changed, 11 insertions(+), 33 deletions(-)

commit f9b23a4d7f536b5d4c42c39d170bc561811cbe6f
Author: Simon McVittie <smcv@debian.org>
Date:   2016-01-14 08:34:36 +0000

    test: stop generating marshallers

    They haven't been needed since GLib 2.30. Until now, we were also
    incorrectly distributing the generated marshallers in tarball
    releases.

 test/core/Makefile.am      | 29 +++++++++++------------------
 test/core/my-object.c      | 19 ++-----------------
 test/core/my-object.h      |  1 -
 test/core/test-dbus-glib.c |  2 --
 test/manual/Makefile.am    |  2 --
 5 files changed, 13 insertions(+), 40 deletions(-)

commit 43a446bbd4e7c5726e87882b03185df37e97fe73
Author: Simon McVittie <smcv@debian.org>
Date:   2016-01-14 07:00:13 +0000

    test: stop calling g_mem_profile(), no longer supported

    This now raises a g_warning() which makes the test fail.

 test/core/test-dbus-glib.c | 6 ------
 1 file changed, 6 deletions(-)

commit 6211894d92d45271fa5e8c964521ca8ee2cef1ac
Author: Simon McVittie <smcv@debian.org>
Date:   2016-01-14 06:53:22 +0000

    Enable subdir-objects Automake option to silence warnings

    automake: warning: possible forward-incompatibility.
    automake: At least a source file is in a subdirectory, but the
    'subdir-objects'
    automake: automake option hasn't been enabled. [etc.]

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ebda5f95126d6adc38c2511a65e330d472af4f60
Author: Simon McVittie <smcv@debian.org>
Date:   2016-01-14 06:52:30 +0000

    Replace deprecated INCLUDES with AM_CPPFLAGS

 dbus/Makefile.am                       | 4 ++--
 dbus/examples/Makefile.am              | 2 +-
 dbus/examples/statemachine/Makefile.am | 2 +-
 test/Makefile.am                       | 2 +-
 test/core/Makefile.am                  | 2 +-
 test/interfaces/Makefile.am            | 2 +-
 tools/Makefile.am                      | 9 ++++++++-
 7 files changed, 15 insertions(+), 8 deletions(-)

commit be7177fafb94bc3db50843e739df4575d4dabac0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2016-01-04 14:08:01 +0000

    NEWS: mention GLib 2.47.2, credit Colin

 NEWS | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit af8e9f140d50eaf46d89503d2e765699aa923252
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2016-01-04 14:05:30 +0000

    NEWS

 NEWS | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 14d608cc0bd83ce5d5bdf469ec0e83a6afd97afd
Author: Colin Watson <cjwatson@debian.org>
Date:   2015-12-26 18:01:04 +0000

    Stop using G_HAVE_INLINE

    GLib removed this macro from its headers in
    db2367e8782d7a39fc3e93d13f6a16f10cad04c2 (GLib 2.47.2).  It's
    unnecessary here for the same reasons, and relying on it now causes an
    unused-function warning from GCC.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=93513
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 dbus/dbus-binding-tool-glib.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 94c6ec840575a11c485ebb3a652a4bc89917dcd0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2015-02-09 16:26:16 +0000

    0.105

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 3000eaff772abadc1dcd22742d7d80545bd7269f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2015-02-09 15:58:57 +0000

    0.104

 NEWS         | 38 ++++++++++++++++++++++++++++++++++++--
 configure.ac |  6 +++---
 2 files changed, 39 insertions(+), 5 deletions(-)

commit 82ca3f62848b72061bf041df529bea58e53d55e7
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   2015-02-09 13:38:27 +0000

    doc: Make the deprecation warning bigger

    Make the deprecation warning in the documentation introduction bigger.
    Add a copy of it to the front page of the documentation too, which is
    what people see when they first find the documentation online.

 doc/reference/dbus-glib-docs.sgml | 27 ++++++++++++++++++++-------
 1 file changed, 20 insertions(+), 7 deletions(-)

commit 983ea5ae211dcac80007cc8ef2b3be0aad35ecb1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2015-02-09 15:02:17 +0000

    30574 test: squash some compiler warnings

 test/core/30574.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 63d86aad0624cb9c861cb8aae53467893b47a497
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2015-02-09 14:49:06 +0000

    Drop unused functions

 dbus/dbus-gobject.c | 55
 -----------------------------------------------------
 1 file changed, 55 deletions(-)

commit b972d42d074335d2043fd0c2b4300825a22783b1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2015-02-09 14:48:59 +0000

    Use GLIB_VERSION_MAX_ALLOWED, GLIB_VERSION_MIN_REQUIRED

 configure.ac | 4 ++++
 1 file changed, 4 insertions(+)

commit fa9065942e51cac4bf3927d7c38e350457ae085a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2015-02-09 14:43:49 +0000

    Stop calling g_thread_init or linking libgthread-2.0

    Since GLib 2.32, which we now depend on, this is unnecessary.

 configure.ac                   | 2 +-
 test/core/peer-client.c        | 2 +-
 test/core/peer-server.c        | 2 +-
 test/core/test-profile.c       | 1 -
 test/core/test-service-glib.c  | 2 +-
 test/core/test-thread-client.c | 1 -
 test/core/test-thread-server.c | 1 -
 7 files changed, 4 insertions(+), 7 deletions(-)

commit b5528d7ff526d700aab5b9e11aed871180d4f81e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-09-16 13:32:45 +0100

    Require a modern libdbus and a modern GLib

    This means we can assume that GLib and libdbus are thread-safe by
    default.

    Also explicitly document that the object-mapping layer of dbus-glib
    is not thread-safe.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=64214
    Reviewed-by: Colin Walters <walters@verbum.org>
    [with review comments to be fixed in subsequent commit -smcv]

 configure.ac          | 7 ++-----
 dbus/dbus-gthread.c   | 9 ++++++---
 test/core/Makefile.am | 6 ------
 3 files changed, 8 insertions(+), 14 deletions(-)

commit c0d1ffc09b5b008fe9b3ee09330ad663927669af
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-09-16 13:36:28 +0100

    Use g_cclosure_marshal_generic for all marshalling

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=64214
    Reviewed-by: Colin Walters <walters@verbum.org>

 dbus/dbus-gobject.c | 117
 ++--------------------------------------------------
 dbus/dbus-gobject.h |   6 ---
 dbus/dbus-gproxy.c  |  18 ++------
 3 files changed, 6 insertions(+), 135 deletions(-)

commit d3a4fb94e10bacb2c18e0b56456e565471898508
Author: Mike Gorse <mgorse@suse.com>
Date:   2012-08-31 13:24:19 -0500

    Remove erroneous assert from connection_setup_add_timeout

    When switching a connection from one main loop to another, timeouts
    are
    moved to the new connection, so connection_setup_add_timeout gets
    called on
    the new connection for all timeouts that were set on the old
    connection.
    This means that the timeout's data can, in fact, be non-NULL, and
    it will be
    freed / removed from the old connection as a side-effect of adding
    it to the
    new connection. A similar assert was removed from
    dbus_connection_add_watch
    a while ago as part of the original patch for this bug.

    Also, clean up the regression test a bit, and test that a
    DBusConnection
    can be migrated when a pending call is present.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=30574
    [resolve conflicts -smcv]
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 dbus/dbus-gmain.c |  2 --
 test/core/30574.c | 65
 ++++++++++++++++++++++++++++++-------------------------
 2 files changed, 36 insertions(+), 31 deletions(-)

commit 40ae208c3309cfa0be27ef458e6947433ff3841e
Author: Jiří Klimeš <jklimes@redhat.com>
Date:   2012-02-06 14:00:06 +0100

    docs: fix a typo in dbus_g_type_get_struct() description

    Signed-off-by: Jiří Klimeš <jklimes@redhat.com>
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=45686

 dbus/dbus-gtype-specialized.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b8d44600179172cbf72337f46f4bad58fbefaf8f
Author: Jiří Klimeš <jklimes@redhat.com>
Date:   2012-02-06 12:29:54 +0100

    docs: fix a typo in dbus_g_type_struct_get()'s doc

    Signed-off-by: Jiří Klimeš <jklimes@redhat.com>
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=45686

 dbus/dbus-gtype-specialized.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8f9eb639229410a127958424fe1687135be3a38d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-09-16 13:31:15 +0100

    Document the entire library as deprecated

 dbus/dbus-glib.c                  |  40 ++++++++++++
 dbus/dbus-gmain.c                 |  16 +++++
 dbus/dbus-gobject.c               |  53 ++++++++++++++++
 dbus/dbus-gproxy.c                |  70 +++++++++++++++++++++
 dbus/dbus-gthread.c               |   3 +
 dbus/dbus-gtype-specialized.c     | 127
 ++++++++++++++++++++++++++++++++++++++
 dbus/dbus-gvalue-parse-variant.c  |   2 +
 dbus/dbus-gvalue.c                |  12 ++++
 doc/reference/dbus-glib-docs.sgml |  53 +++-------------
 9 files changed, 332 insertions(+), 44 deletions(-)

commit a868cfe62f36bd11f60b5e68a8af854f95cb4931
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-09-16 12:40:52 +0100

    Use gtk-doc in no-tmpl mode, moving documentation into the source code

    Part of a patch from Rafał Mużyło.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=58698

 configure.ac                         |  2 +-
 dbus/dbus-glib.c                     |  4 ++++
 dbus/dbus-gobject.c                  |  4 +++-
 dbus/dbus-gproxy.c                   | 13 +++++++++++++
 dbus/dbus-gtype-specialized.c        |  1 +
 doc/reference/dbus-glib-docs.sgml    |  4 ++++
 doc/reference/dbus-glib-sections.txt |  3 ++-
 7 files changed, 28 insertions(+), 3 deletions(-)

commit c67ec31532d678c893a6f29060db4a0e2d9f0770
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-09-16 12:39:49 +0100

    Use AC_LANG_PROGRAM to check for socklen_t

    Part of a patch from Rafał Mużyło.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=58698

 configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 6efaae028bed13d022020ecf728b7442e8fd737b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-09-16 12:39:04 +0100

    Replace deprecated AM_PROG_LIBTOOL with LT_INIT

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 019b5f844f4c7bf33759e1e98236b599a542ba6c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-09-16 12:38:09 +0100

    Use AC_LANG_PROGRAM in AC_COMPILE_IFELSE

    Part of a patch from Rafał Mużyło.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=58698

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ffa9f9e5e0926cabbfac5cd661a02cfb43bcc952
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   2014-09-16 12:35:51 +0100

    configure.ac: modernize AC_OUTPUT

    Part of a patch from Rafał Mużyło.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=58698

 configure.ac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 7678b6f8f43789a880147749bd4b6dc3454d4dec
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2014-07-29 11:16:47 +0100

    demarshal_static_variant: fail gracefully with unknown message types

    Refuse to demarshal variants containing unknown types such as
    DBUS_TYPE_UNIX_FD
    or DBUS_TYPE_MAYBE.  Otherwise we will not be able to free them
    automatically
    with g_value_unset.

    Symptoms:
    > GLib-GObject-CRITICAL **: g_value_unset: assertion 'G_IS_VALUE
    (value)' failed

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=80557
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 dbus/dbus-gvalue.c | 23 +++++++++++++++--------
 1 file changed, 15 insertions(+), 8 deletions(-)

commit 7b81cf6445b0802c582dfca4a7e5afec5c9c389e
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   2014-07-28 17:32:16 +0100

    _dbus_gtype_from_signature_iter: fail gracefully with unknown
    message types

    _dbus_gtype_from_signature_iter now returns G_TYPE_INVALID on
